/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import React from 'react';
import pure from 'recompose/pure';
import PropTypes from 'prop-types';

var CalendarMonthPath = function CalendarMonthPath(_ref) {
    var path = _ref.path,
        borderWidth = _ref.borderWidth,
        borderColor = _ref.borderColor;
    return React.createElement('path', {
        d: path,
        style: {
            fill: 'none',
            strokeWidth: borderWidth,
            stroke: borderColor
        }
    });
};

CalendarMonthPath.propTypes = {
    path: PropTypes.string.isRequired,
    borderWidth: PropTypes.number.isRequired,
    borderColor: PropTypes.string.isRequired
};

export default pure(CalendarMonthPath);